For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3

Create Customers

POST
https://api.bigcommerce.com/stores/:store_hash/v3/customers
POST
/stores/:store_hash/v3/customers
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/customers \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "email": "jane.doe@example.com",
> "first_name": "Jane",
> "last_name": "Doe"
> }
>]'
1{
2 "data": [
3 {
4 "email": "jane.doe@example.com",
5 "first_name": "Jane",
6 "last_name": "Doe",
7 "company": "Doe Enterprises",
8 "phone": "+1-555-123-4567",
9 "registration_ip_address": "192.168.1.100",
10 "notes": "Preferred customer with VIP status.",
11 "tax_exempt_category": "Non-Profit",
12 "customer_group_id": 3,
13 "id": 1024,
14 "date_modified": "2024-01-15T09:30:00Z",
15 "date_created": "2024-01-15T09:30:00Z",
16 "address_count": 1,
17 "attribute_count": 1,
18 "authentication": {
19 "force_password_reset": true
20 },
21 "addresses": [
22 {
23 "first_name": "Jane",
24 "last_name": "Doe",
25 "address1": "123 Maple Street",
26 "city": "Springfield",
27 "state_or_province": "Illinois",
28 "postal_code": "62704",
29 "country_code": "US",
30 "customer_id": 1024,
31 "id": 2048,
32 "company": "Doe Enterprises",
33 "address2": "Suite 400",
34 "phone": "+1-555-123-4567",
35 "address_type": "residential",
36 "country": "United States",
37 "form_fields": [
38 {
39 "name": "delivery_instructions",
40 "value": "Leave package at front door"
41 }
42 ]
43 }
44 ],
45 "attributes": [
46 {
47 "attribute_id": 2,
48 "attribute_value": "Yes",
49 "customer_id": 1024,
50 "date_created": "2024-01-15T09:30:00Z",
51 "date_modified": "2024-01-15T09:30:00Z",
52 "id": 4096
53 }
54 ],
55 "form_fields": [
56 {
57 "name": "preferred_language",
58 "value": "English",
59 "customer_id": 1024
60 }
61 ],
62 "store_credit_amounts": [
63 {
64 "amount": 43.15
65 }
66 ],
67 "accepts_product_review_abandoned_cart_emails": true,
68 "origin_channel_id": 1,
69 "channel_ids": [
70 1,
71 2
72 ]
73 }
74 ],
75 "meta": {}
76}
Creates Customers. Create up to 10 customers in one call. **Required Fields** * last_name * first_name * email **Required Fields Customer Address** * first_name * city * country_code * last_name * address1 **Required Fields Attributes** * Attributes must be [created](/developer/api-reference/rest/admin/management/customers/v3/attributes/create-customers-attributes) **BEFORE** creating a customer. * attribute_id * attribute_value -- This is input as a string, regardless of the [Type](/developer/api-reference/rest/admin/management/customers/v3/attributes/create-customers-attributes). **Notes** A customer can be created with global access or channel-specific access. * **Global access:** * Make sure the channel has `allow_global_logins` enabled. This is on by default only for the default storefront. Find more info at [Customer Settings > Channel](/developer/api-reference/rest/admin/management/customers/v3/channel-settings). * Omit `channel_ids` field, or provide `channel_ids: null`. * **Channel-specific access:** * Provide a `channel_ids` array containing the channels accessible by the customer. This array cannot be empty.
Was this page helpful?
Previous

List Customers

Next

Update Customers

Built with

Creates Customers. Create up to 10 customers in one call.

Required Fields

  • last_name
  • first_name
  • email

Required Fields Customer Address

  • first_name
  • city
  • country_code
  • last_name
  • address1

Required Fields Attributes

  • Attributes must be created BEFORE creating a customer.
  • attribute_id
  • attribute_value — This is input as a string, regardless of the Type.

Notes

A customer can be created with global access or channel-specific access.

  • Global access:
    • Make sure the channel has allow_global_logins enabled. This is on by default only for the default storefront. Find more info at Customer Settings > Channel.
    • Omit channel_ids field, or provide channel_ids: null.
  • Channel-specific access:
    • Provide a channel_ids array containing the channels accessible by the customer. This array cannot be empty.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

emailstringRequired3-250 characters
The email of the customer. Must be unique.
first_namestringRequired1-100 characters
The first name of the customer.
last_namestringRequired1-100 characters
The last name of the customer.
companystringOptional0-255 characters
The company of the customer.
phonestringOptional0-50 characters
The phone number of the customer.
notesstringOptional
The customer notes.
tax_exempt_categorystringOptional0-255 characters
The tax exempt category code for the customer.
customer_group_idintegerOptional
ID of the group which this customer belongs to.
addresseslist of objectsOptional
Array of customer addresses. Limited to 10.
attributeslist of objectsOptional
Array of customer attributes. Limited to 10.
authenticationobjectOptional
accepts_product_review_abandoned_cart_emailsbooleanOptional
It determines if the customer is signed up to receive either product review or abandoned cart emails or receive both emails.
store_credit_amountslist of objectsOptional
Store credit.
origin_channel_idintegerOptional
Channel ID of the customer that has created the form.
channel_idslist of integersOptional
Array of channels the customer can access.
form_fieldslist of objectsOptional
Array of form fields. Controlled by formfields parameter.
trigger_account_created_notificationbooleanOptional
Indicates whether to send a customer registered welcome email.

Response

Customer Collection Response
datalist of objects
metaobject
Response metadata.

Errors

413
Content Too Large Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.